
QGIS Application - Bug report #1245

QgsFeature.setGeometry() does not work properly for MultiPolygons

2008-08-24 07:55 AM - cfarmer -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11305

Description

Using the following test, I get an unknown wkbType:

geom = feat.geometry()

multi_geom = [[QgsGeometry]]()

if geom.isMultipart():

  multi_geom = geom.asMultiPolygon()

  temp_geom = [[QgsGeometry]].fromMultiPolygon(multi_geom)

  #temp_geom has a wkbType of 6 (MultiPolygon)

  outfeat.setGeometry(temp_geom)

  check_geom = outfeat.geometry()

  #check_geom has a wkbType of 7 (Unknown)

Associated revisions

Revision 53316310 - 2008-08-24 06:29 PM - Jürgen Fischer

fix #1245

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9154 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 07cd0989 - 2008-08-24 06:29 PM - Jürgen Fischer

fix #1245

git-svn-id: http://svn.osgeo.org/qgis/trunk@9154 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 55493aa6 - 2008-08-24 08:20 PM - Jürgen Fischer

fix #1245 (take two)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9155 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ed45af84 - 2008-08-24 08:20 PM - Jürgen Fischer

fix #1245 (take two)
git-svn-id: http://svn.osgeo.org/qgis/trunk@9155 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-24 09:32 AM - Jürgen Fischer

You're running GEOS 2.2.3.  GEOSGeom_clone() doesn't seem to work on multipolygons there (QgsGeometry contained a work-around for that earlier).

Please test and close the bug if the problem is solved (I current don't have a machine with GEOS 2 and Qt >=4.3).

#2 - 2008-08-24 02:08 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

MultiPoly.zip 1.79 KB 2008-08-24 cfarmer -
